Update image_optim and disable cleanupIDs plugin
authorTom Hughes <tom@compton.nu>
Thu, 19 Nov 2015 21:29:23 +0000 (21:29 +0000)
committerTom Hughes <tom@compton.nu>
Thu, 19 Nov 2015 21:29:23 +0000 (21:29 +0000)
Gemfile
Gemfile.lock
config/image_optim.yml

diff --git a/Gemfile b/Gemfile
index e3c8f5cfff82949ed1f0e73b5659785bdae257e6..4a00841ec1ca30289375a7646d19d5b5ca0c6eb9 100644 (file)
--- a/Gemfile
+++ b/Gemfile
@@ -38,7 +38,7 @@ gem "r2"
 gem "autoprefixer-rails"
 
 # Use image_optim to optimise images
-gem "image_optim"
+gem "openstreetmap-image_optim", ">= 0.21.0.1", :require => "image_optim"
 
 # Load rails plugins
 gem "rails-i18n", "~> 4.0.0"
index fd69b12f43c2b04c7863a9fb2d7e9f5e0b5dad5a..1679c856aa9aafb5e9e3537001b945964565d2fa 100644 (file)
@@ -44,7 +44,7 @@ GEM
     ast (2.1.0)
     astrolabe (1.3.1)
       parser (~> 2.2)
-    autoprefixer-rails (6.0.3)
+    autoprefixer-rails (6.1.0.1)
       execjs
       json
     bigdecimal (1.1.0)
@@ -66,46 +66,41 @@ GEM
     coffee-script (2.4.1)
       coffee-script-source
       execjs
-    coffee-script-source (1.9.1.1)
+    coffee-script-source (1.10.0)
     colorize (0.7.7)
     composite_primary_keys (8.1.1)
       activerecord (~> 4.2.0)
-    coveralls (0.8.3)
+    coveralls (0.8.9)
       json (~> 1.8)
       rest-client (>= 1.6.8, < 2)
       simplecov (~> 0.10.0)
       term-ansicolor (~> 1.3)
       thor (~> 0.19.1)
+      tins (~> 1.6.0)
     crass (1.0.2)
     dalli (2.7.4)
     deadlock_retry (1.2.0)
     docile (1.1.5)
-    domain_name (0.5.24)
+    domain_name (0.5.25)
       unf (>= 0.0.5, < 1.0.0)
     dynamic_form (1.1.4)
     erubis (2.7.0)
     execjs (2.6.0)
     exifr (1.2.3.1)
-    faraday (0.9.1)
+    faraday (0.9.2)
       multipart-post (>= 1.2, < 3)
     fspath (2.1.1)
     globalid (0.3.6)
       activesupport (>= 4.1.0)
-    hashie (3.4.2)
+    hashie (3.4.3)
     htmlentities (4.3.4)
     http-cookie (1.0.2)
       domain_name (~> 0.5)
     http_accept_language (2.0.5)
-    httpclient (2.6.0.1)
+    httpclient (2.7.0.1)
     i18n (0.7.0)
     i18n-js (3.0.0.rc11)
       i18n (~> 0.6)
-    image_optim (0.21.0)
-      exifr (~> 1.2, >= 1.2.2)
-      fspath (~> 2.1)
-      image_size (~> 1.3)
-      in_threads (~> 1.3)
-      progress (~> 3.0, >= 3.0.1)
     image_size (1.4.1)
     in_threads (1.3.1)
     jquery-rails (4.0.5)
@@ -122,7 +117,7 @@ GEM
     jsonify-rails (0.3.2)
       actionpack
       jsonify (< 0.4.0)
-    jwt (1.5.1)
+    jwt (1.5.2)
     kgio (2.10.0)
     konacha (3.7.0)
       actionpack (>= 3.1, < 5)
@@ -131,10 +126,12 @@ GEM
       railties (>= 3.1, < 5)
       sprockets (>= 2, < 4)
       tilt
-    libv8 (3.16.14.11)
+    libv8 (3.16.14.13)
     libxml-ruby (2.8.0)
     logstash-event (1.2.02)
-    logstasher (0.6.5)
+    logstasher (0.8.6)
+      activerecord (>= 3.0)
+      activesupport (>= 3.0)
       logstash-event (~> 1.2.0)
       request_store
     loofah (2.0.3)
@@ -144,12 +141,12 @@ GEM
     mime-types (2.6.2)
     mimemagic (0.3.0)
     mini_portile (0.6.2)
-    minitest (5.8.1)
+    minitest (5.8.3)
     multi_json (1.11.2)
     multi_xml (0.5.5)
     multipart-post (2.0.0)
-    netrc (0.10.3)
-    nokogiri (1.6.6.2)
+    netrc (0.11.0)
+    nokogiri (1.6.6.4)
       mini_portile (~> 0.6.0)
     nokogumbo (1.4.1)
       nokogiri
@@ -168,14 +165,14 @@ GEM
     omniauth (1.2.2)
       hashie (>= 1.2, < 4)
       rack (~> 1.0)
-    omniauth-facebook (2.0.1)
+    omniauth-facebook (3.0.0)
       omniauth-oauth2 (~> 1.2)
-    omniauth-google-oauth2 (0.2.8)
+    omniauth-google-oauth2 (0.2.10)
       addressable (~> 2.3)
       jwt (~> 1.0)
       multi_json (~> 1.3)
       omniauth (>= 1.1.1)
-      omniauth-oauth2 (>= 1.1.1)
+      omniauth-oauth2 (~> 1.3.1)
     omniauth-oauth2 (1.3.1)
       oauth2 (~> 1.0)
       omniauth (~> 1.2)
@@ -185,16 +182,22 @@ GEM
     omniauth-windowslive (0.0.9.1)
       multi_json (>= 1.0.3)
       omniauth-oauth2 (~> 1.0)
-    paperclip (4.3.1)
+    openstreetmap-image_optim (0.21.0.1)
+      exifr (~> 1.2, >= 1.2.2)
+      fspath (~> 2.1)
+      image_size (~> 1.3)
+      in_threads (~> 1.3)
+      progress (~> 3.0, >= 3.0.1)
+    paperclip (4.3.2)
       activemodel (>= 3.2.0)
       activesupport (>= 3.2.0)
       cocaine (~> 0.5.5)
       mime-types
       mimemagic (= 0.3.0)
-    parser (2.2.2.6)
+    parser (2.2.3.0)
       ast (>= 1.1, < 3.0)
-    pg (0.18.3)
-    poltergeist (1.7.0)
+    pg (0.18.4)
+    poltergeist (1.8.0)
       capybara (~> 2.1)
       cliver (~> 0.3.1)
       multi_json (~> 1.0)
@@ -229,8 +232,8 @@ GEM
       rails-deprecated_sanitizer (>= 1.0.1)
     rails-html-sanitizer (1.0.2)
       loofah (~> 2.0)
-    rails-i18n (4.0.5)
-      i18n (~> 0.6)
+    rails-i18n (4.0.6)
+      i18n (~> 0.7)
       railties (~> 4.0)
     railties (4.2.4)
       actionpack (= 4.2.4)
@@ -241,25 +244,26 @@ GEM
     rake (10.4.2)
     redcarpet (3.3.3)
     ref (2.0.0)
-    request_store (1.2.0)
+    request_store (1.2.1)
     rest-client (1.8.0)
       http-cookie (>= 1.0.2, < 2.0)
       mime-types (>= 1.16, < 3.0)
       netrc (~> 0.7)
     rinku (1.7.3)
-    rubocop (0.34.2)
+    rubocop (0.35.1)
       astrolabe (~> 1.3)
-      parser (>= 2.2.2.5, < 3.0)
+      parser (>= 2.2.3.0, < 3.0)
       powerpack (~> 0.1)
       rainbow (>= 1.99.1, < 3.0)
-      ruby-progressbar (~> 1.4)
+      ruby-progressbar (~> 1.7)
+      tins (<= 1.6.0)
     ruby-openid (2.7.0)
     ruby-progressbar (1.7.5)
     sanitize (4.0.0)
       crass (~> 1.0.2)
       nokogiri (>= 1.4.4)
       nokogumbo (= 1.4.1)
-    sass (3.4.18)
+    sass (3.4.19)
     sass-rails (5.0.4)
       railties (>= 4.0.0, < 5.0)
       sass (~> 3.1)
@@ -272,7 +276,7 @@ GEM
       simplecov-html (~> 0.10.0)
     simplecov-html (0.10.0)
     soap4r-ruby1.9 (2.0.5)
-    sprockets (3.3.5)
+    sprockets (3.4.0)
       rack (> 1, < 3)
     sprockets-rails (2.3.3)
       actionpack (>= 3.0)
@@ -299,7 +303,7 @@ GEM
     validates_email_format_of (1.6.3)
       i18n
     vendorer (0.1.16)
-    websocket-driver (0.6.2)
+    websocket-driver (0.6.3)
       websocket-extensions (>= 0.1.0)
     websocket-extensions (0.1.2)
     xpath (2.0.0)
@@ -324,7 +328,6 @@ DEPENDENCIES
   http_accept_language (~> 2.0.0)
   httpclient
   i18n-js (>= 3.0.0.rc10)
-  image_optim
   jquery-rails
   jshint
   json
@@ -340,6 +343,7 @@ DEPENDENCIES
   omniauth-google-oauth2 (>= 0.2.7)
   omniauth-openid
   omniauth-windowslive
+  openstreetmap-image_optim (>= 0.21.0.1)
   paperclip (~> 4.0)
   pg
   poltergeist
index 26b36c4cd1f688f028365409ef87a6dfded75431..094e4083b372d6953d92d275997024b132482d12 100644 (file)
@@ -8,3 +8,5 @@ jhead: false
 jpegoptim: false
 gifsicle: false
 jpegtran: false
+svgo:
+  disable_plugins: ["cleanupIDs"]